Obtener versiones y actividad del documento
curl --request GET \
--url https://api.truthlocks.com/v1/vault/documents/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truthlocks.com/v1/vault/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/vault/documents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/vault/documents/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"document": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"category": "<string>",
"description": "<string>",
"status": "active",
"legal_hold": true,
"retain_until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"purged_at": "2023-11-07T05:31:56Z"
}
],
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "<string>",
"reason": "<string>",
"details": {},
"created_at": "2023-11-07T05:31:56Z"
}
],
"can_manage": true
}Bóveda de documentos del espacio de trabajo
Obtener versiones y actividad del documento
Requiere una sesión de portador de miembro del espacio de trabajo con sesión iniciada. Las claves API no son aceptadas. El espacio de trabajo y el entorno provienen de la sesión validada. Los cambios requieren el propietario o administrador del espacio de trabajo.
GET
/
v1
/
vault
/
documents
/
{id}
Obtener versiones y actividad del documento
curl --request GET \
--url https://api.truthlocks.com/v1/vault/documents/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.truthlocks.com/v1/vault/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/vault/documents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/vault/documents/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"document": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"category": "<string>",
"description": "<string>",
"status": "active",
"legal_hold": true,
"retain_until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"purged_at": "2023-11-07T05:31:56Z"
}
],
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "<string>",
"reason": "<string>",
"details": {},
"created_at": "2023-11-07T05:31:56Z"
}
],
"can_manage": true
}Utilice una sesión de portador de espacio de trabajo válida. Una clave de API no puede autorizar este endpoint. El espacio de trabajo y el entorno actuales se derivan de esa sesión.
Consulte manejo de información para conocer los límites de archivos, el control de versiones, las retenciones, la retención y el comportamiento de eliminación.

